Page MenuHomePhabricator

Please reduce column width from 35 to 30em
Closed, ResolvedPublic8 Story Points

Description

Following a conversation at it.wp, where code was provided to reduce column width, let's have a conversation to eventually have a global fix - current status quo can change.

Event Timeline

Elitre created this task.Mar 30 2017, 8:20 AM

If 30em seems too narrow, then let's do 32em. 35em (in English, at least) feels wider than necessary.

This is what 35em looks like on my computer. My laptop has 1920x1080 resolution but only a 15" screen, so I have to use 125% zoom on Wikipedia to make pages confortable to read. The result is a lot of wasted space where a second column could fit perfectly:
https://s14.postimg.org/9405vvo6n/Wiki_colonne.png

Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF changed the point value for this task from 0 to 8.
Jdforrester-WMF added a subscriber: Jdlrobson.

@Jdlrobson was discussing this; it's not clear what the original design justification for the width at 35ems was, so it's hard to know if dropping to 30 would break those things. I imagine it's OK, though?

Izno added a subscriber: Izno.Apr 11 2017, 7:33 PM

I left a comment at T160497#3135356 about the question of column size, which is probably why Jdlr was looking into it.

My comment on the original patchset pointed out that you shouldn't guess this kind of thing and should be able to point at why using the fact that there was a difference between mobile and desktop as an example I'm not a designer so I don't know what the right value is. I suggest you get input from a designer rather than guess.

Change 353369 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Cite@master] Reduce column width from 35em to 30em

https://gerrit.wikimedia.org/r/353369

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 13 2017, 4:04 PM

Change 353369 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Reduce column width from 35em to 30em

https://gerrit.wikimedia.org/r/353369

Jdforrester-WMF changed the task status from Duplicate to Resolved.Jun 16 2017, 3:30 PM

This is clearly not a Duplicate of that other task.